use utf8;
package Atlas::Schema::Result::Group;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::Group

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<groups>

=cut

__PACKAGE__->table("groups");

=head1 ACCESSORS

=head2 id

  data_type: 'integer'
  is_nullable: 0

=head2 groupname

  data_type: 'varchar'
  is_nullable: 0
  size: 16

=head2 description

  data_type: 'text'
  is_nullable: 1

=head2 password

  data_type: 'varchar'
  is_nullable: 1
  size: 20

=cut

__PACKAGE__->add_columns(
  "id",
  { data_type => "integer", is_nullable => 0 },
  "groupname",
  { data_type => "varchar", is_nullable => 0, size => 16 },
  "description",
  { data_type => "text", is_nullable => 1 },
  "password",
  { data_type => "varchar", is_nullable => 1, size => 20 },
);

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=cut

__PACKAGE__->set_primary_key("id");

=head1 RELATIONS

=head2 users

Type: has_many

Related object: L<Atlas::Schema::Result::User>

=cut

__PACKAGE__->has_many(
  "users",
  "Atlas::Schema::Result::User",
  { "foreign.group_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 users_groups

Type: has_many

Related object: L<Atlas::Schema::Result::UsersGroup>

=cut

__PACKAGE__->has_many(
  "users_groups",
  "Atlas::Schema::Result::UsersGroup",
  { "foreign.group_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:HHfsfjDpk/JzwRrec9tIOQ


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
