use utf8;
package Atlas::Schema::Result::Host;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::Host

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<hosts>

=cut

__PACKAGE__->table("hosts");

=head1 ACCESSORS

=head2 id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'hosts_id_seq'

=head2 hostname

  data_type: 'varchar'
  is_nullable: 0
  size: 63

=head2 shell

  data_type: 'text'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "hosts_id_seq",
  },
  "hostname",
  { data_type => "varchar", is_nullable => 0, size => 63 },
  "shell",
  { data_type => "text", is_nullable => 1 },
);

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=cut

__PACKAGE__->set_primary_key("id");

=head1 UNIQUE CONSTRAINTS

=head2 C<hosts_hostname_key>

=over 4

=item * L</hostname>

=back

=cut

__PACKAGE__->add_unique_constraint("hosts_hostname_key", ["hostname"]);

=head1 RELATIONS

=head2 hosts_entities

Type: has_many

Related object: L<Atlas::Schema::Result::HostsEntity>

=cut

__PACKAGE__->has_many(
  "hosts_entities",
  "Atlas::Schema::Result::HostsEntity",
  { "foreign.host_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 hosts_types

Type: has_many

Related object: L<Atlas::Schema::Result::HostsType>

=cut

__PACKAGE__->has_many(
  "hosts_types",
  "Atlas::Schema::Result::HostsType",
  { "foreign.host_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 types

Type: many_to_many

Composing rels: L</hosts_types> -> type

=cut

__PACKAGE__->many_to_many("types", "hosts_types", "type");


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:uFOB2jFpkxQMMBdLjowifA


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
