use utf8;
package Atlas::Schema::Result::HostsType;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::HostsType

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<hosts_types>

=cut

__PACKAGE__->table("hosts_types");

=head1 ACCESSORS

=head2 host_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 type_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "host_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "type_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</host_id>

=item * L</type_id>

=back

=cut

__PACKAGE__->set_primary_key("host_id", "type_id");

=head1 RELATIONS

=head2 host

Type: belongs_to

Related object: L<Atlas::Schema::Result::Host>

=cut

__PACKAGE__->belongs_to(
  "host",
  "Atlas::Schema::Result::Host",
  { id => "host_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);

=head2 type

Type: belongs_to

Related object: L<Atlas::Schema::Result::Type>

=cut

__PACKAGE__->belongs_to(
  "type",
  "Atlas::Schema::Result::Type",
  { id => "type_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:xn5lFHBmTmS0KajZg5T8Yg


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
