use utf8;
package Atlas::Schema::Result::Type;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::Type

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<types>

=cut

__PACKAGE__->table("types");

=head1 ACCESSORS

=head2 id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'types_id_seq'

=head2 type

  data_type: 'text'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "types_id_seq",
  },
  "type",
  { data_type => "text", is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=cut

__PACKAGE__->set_primary_key("id");

=head1 UNIQUE CONSTRAINTS

=head2 C<types_type_key>

=over 4

=item * L</type>

=back

=cut

__PACKAGE__->add_unique_constraint("types_type_key", ["type"]);

=head1 RELATIONS

=head2 hosts_types

Type: has_many

Related object: L<Atlas::Schema::Result::HostsType>

=cut

__PACKAGE__->has_many(
  "hosts_types",
  "Atlas::Schema::Result::HostsType",
  { "foreign.type_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 types_roles

Type: has_many

Related object: L<Atlas::Schema::Result::TypesRole>

=cut

__PACKAGE__->has_many(
  "types_roles",
  "Atlas::Schema::Result::TypesRole",
  { "foreign.type_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 hosts

Type: many_to_many

Composing rels: L</hosts_types> -> host

=cut

__PACKAGE__->many_to_many("hosts", "hosts_types", "host");

=head2 roles

Type: many_to_many

Composing rels: L</types_roles> -> role

=cut

__PACKAGE__->many_to_many("roles", "types_roles", "role");


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:HWjh/4WdIZ8bEIkNLXg5Pw


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
