use utf8;
package Atlas::Schema::Result::TypesRole;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::TypesRole

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<types_roles>

=cut

__PACKAGE__->table("types_roles");

=head1 ACCESSORS

=head2 type_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 role_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "type_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "role_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</type_id>

=item * L</role_id>

=back

=cut

__PACKAGE__->set_primary_key("type_id", "role_id");

=head1 RELATIONS

=head2 role

Type: belongs_to

Related object: L<Atlas::Schema::Result::Role>

=cut

__PACKAGE__->belongs_to(
  "role",
  "Atlas::Schema::Result::Role",
  { id => "role_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);

=head2 type

Type: belongs_to

Related object: L<Atlas::Schema::Result::Type>

=cut

__PACKAGE__->belongs_to(
  "type",
  "Atlas::Schema::Result::Type",
  { id => "type_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:7tgybrbrcHCjRk7wnkC4Hg


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
