use utf8;
package Atlas::Schema::Result::User;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::User

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<users>

=cut

__PACKAGE__->table("users");

=head1 ACCESSORS

=head2 username

  data_type: 'varchar'
  is_nullable: 0
  size: 64

=head2 password

  data_type: 'varchar'
  is_nullable: 0
  size: 128

=head2 id

  data_type: 'integer'
  is_nullable: 0

=head2 group_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 comment

  data_type: 'varchar'
  is_nullable: 1
  size: 128

=head2 home_directory

  data_type: 'varchar'
  is_nullable: 0
  size: 256

=head2 shell

  data_type: 'text'
  is_nullable: 1

=head2 encrypted_password

  data_type: 'varchar'
  is_nullable: 0
  size: 128

=head2 date_of_last_password_change

  data_type: 'integer'
  is_nullable: 0

=head2 minimum_password_age

  data_type: 'integer'
  is_nullable: 0

=head2 maximum_password_age

  data_type: 'integer'
  is_nullable: 0

=head2 password_warning_period

  data_type: 'integer'
  is_nullable: 0

=head2 password_inactivity_period

  data_type: 'integer'
  is_nullable: 0

=head2 account_expiration_date

  data_type: 'integer'
  is_nullable: 0

=head2 reserved_field

  data_type: 'integer'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "username",
  { data_type => "varchar", is_nullable => 0, size => 64 },
  "password",
  { data_type => "varchar", is_nullable => 0, size => 128 },
  "id",
  { data_type => "integer", is_nullable => 0 },
  "group_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "comment",
  { data_type => "varchar", is_nullable => 1, size => 128 },
  "home_directory",
  { data_type => "varchar", is_nullable => 0, size => 256 },
  "shell",
  { data_type => "text", is_nullable => 1 },
  "encrypted_password",
  { data_type => "varchar", is_nullable => 0, size => 128 },
  "date_of_last_password_change",
  { data_type => "integer", is_nullable => 0 },
  "minimum_password_age",
  { data_type => "integer", is_nullable => 0 },
  "maximum_password_age",
  { data_type => "integer", is_nullable => 0 },
  "password_warning_period",
  { data_type => "integer", is_nullable => 0 },
  "password_inactivity_period",
  { data_type => "integer", is_nullable => 0 },
  "account_expiration_date",
  { data_type => "integer", is_nullable => 0 },
  "reserved_field",
  { data_type => "integer", is_nullable => 0 },
);

=head1 PRIMARY KEY

=over 4

=item * L</username>

=back

=cut

__PACKAGE__->set_primary_key("username");

=head1 UNIQUE CONSTRAINTS

=head2 C<users_id_key>

=over 4

=item * L</id>

=back

=cut

__PACKAGE__->add_unique_constraint("users_id_key", ["id"]);

=head1 RELATIONS

=head2 group

Type: belongs_to

Related object: L<Atlas::Schema::Result::Group>

=cut

__PACKAGE__->belongs_to(
  "group",
  "Atlas::Schema::Result::Group",
  { id => "group_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);

=head2 users_groups

Type: has_many

Related object: L<Atlas::Schema::Result::UsersGroup>

=cut

__PACKAGE__->has_many(
  "users_groups",
  "Atlas::Schema::Result::UsersGroup",
  { "foreign.user_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:Ir8tek9kAvDv8mrWyS5DCQ


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
