use utf8;
package Atlas::Schema::Result::UsersShellUsed;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Atlas::Schema::Result::UsersShellUsed

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 COMPONENTS LOADED

=over 4

=item * L<DBIx::Class::InflateColumn::DateTime>

=back

=cut

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 TABLE: C<users_shell_used>

=cut

__PACKAGE__->table("users_shell_used");

=head1 ACCESSORS

=head2 username

  data_type: 'varchar'
  is_nullable: 1
  size: 64

=head2 password

  data_type: 'varchar'
  is_nullable: 1
  size: 128

=head2 id

  data_type: 'integer'
  is_nullable: 1

=head2 group_id

  data_type: 'integer'
  is_nullable: 1

=head2 comment

  data_type: 'varchar'
  is_nullable: 1
  size: 128

=head2 home_directory

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 shell

  data_type: 'text'
  is_nullable: 1

=head2 encrypted_password

  data_type: 'varchar'
  is_nullable: 1
  size: 128

=head2 date_of_last_password_change

  data_type: 'integer'
  is_nullable: 1

=head2 minimum_password_age

  data_type: 'integer'
  is_nullable: 1

=head2 maximum_password_age

  data_type: 'integer'
  is_nullable: 1

=head2 password_warning_period

  data_type: 'integer'
  is_nullable: 1

=head2 password_inactivity_period

  data_type: 'integer'
  is_nullable: 1

=head2 account_expiration_date

  data_type: 'integer'
  is_nullable: 1

=head2 reserved_field

  data_type: 'integer'
  is_nullable: 1

=head2 shell_used

  data_type: 'text'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "username",
  { data_type => "varchar", is_nullable => 1, size => 64 },
  "password",
  { data_type => "varchar", is_nullable => 1, size => 128 },
  "id",
  { data_type => "integer", is_nullable => 1 },
  "group_id",
  { data_type => "integer", is_nullable => 1 },
  "comment",
  { data_type => "varchar", is_nullable => 1, size => 128 },
  "home_directory",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "shell",
  { data_type => "text", is_nullable => 1 },
  "encrypted_password",
  { data_type => "varchar", is_nullable => 1, size => 128 },
  "date_of_last_password_change",
  { data_type => "integer", is_nullable => 1 },
  "minimum_password_age",
  { data_type => "integer", is_nullable => 1 },
  "maximum_password_age",
  { data_type => "integer", is_nullable => 1 },
  "password_warning_period",
  { data_type => "integer", is_nullable => 1 },
  "password_inactivity_period",
  { data_type => "integer", is_nullable => 1 },
  "account_expiration_date",
  { data_type => "integer", is_nullable => 1 },
  "reserved_field",
  { data_type => "integer", is_nullable => 1 },
  "shell_used",
  { data_type => "text", is_nullable => 1 },
);


# Created by DBIx::Class::Schema::Loader v0.07025 @ 2012-08-20 14:56:58
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:lKfChOZA+LxiImAXSt34Iw


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
